/* Syntax: 
 * CREATE QUERY handle [ IN WIDGET-POOL widget-pool-name ]
 *
 */


MESSAGE "Static query__________________________________________________".
DEFINE VARIABLE hsQuery AS HANDLE NO-UNDO.
DEFINE QUERY hsQuery FOR Customer FIELDS(unique2).
OPEN QUERY hsQuery FOR EACH Customer.
CLOSE QUERY hsQuery.



MESSAGE "Dynamic queries_______________________________________________".
DEFINE VARIABLE hdQuery AS HANDLE NO-UNDO.
DEFINE VARIABLE widgetPoolName AS CHARACTER NO-UNDO INITIAL "widget-pool-name".

CREATE QUERY hdQuery IN WIDGET-POOL "widget-pool-name".
DELETE OBJECT hdQuery.

CREATE QUERY hdQuery IN WIDGET-POOL widgetPoolName.
DELETE OBJECT hdQuery.

CREATE QUERY hdQuery. /* 3rd time is a charm :) */

/* KW_ADD_BUF: */ hdQuery:ADD-BUFFER(BUFFER Customer:HANDLE).
/* KW_SET_BUF: */ hdQuery:SET-BUFFERS(BUFFER Customer:HANDLE, BUFFER Customer:HANDLE, BUFFER Customer:HANDLE).
/* KW_QRY_PREP:*/ hdQuery:QUERY-PREPARE("FOR EACH Customer").
/* KW_QRY_OPEN:*/ hdQuery:QUERY-OPEN().
/* KW_QRY_CLOS:*/ hdQuery:QUERY-CLOSE().

DELETE OBJECT hdQuery.